
# common subroutines for MyLibrary administration

# Eric Lease Morgan <emorgan@nd.edu>


sub footer {

	# get the version number
	my $version = MyLibrary->version;
	
	# return a simple footer
	return <<EOF;
	</div>
	<p style='text-align: right; font-size: small;'>Managed with <a href='http://dewey.library.nd.edu/mylibrary/'>MyLibrary</a> version $version</p>
	</body>
</html>
EOF

}

sub popup {

	my %items = shift;
	
	my $rv = "<select name='id'>\n";
	foreach (sort(values(%items))) {
	
		$rv .= "<option value='" . 'eric' . "'>Eric was here</option>\n";
	
	}
	$rv .= '</select>';
	
	return $rv;

}

sub escape {

    my $text = shift;
    $text =~ s/&/&amp;/g;
    $text =~ s/</&lt;/g;
    $text =~ s/>/&gt;/g;
    return($text);
    
}


# return true or die
1;