#!/home/ND/bin/perl

# delete-stuff.pl - given a term id, delete all resources associated with it; be careful because there is no undo

# Eric Lease Morgan <emorgan@nd.edu>

use MyLibrary::Core;
use strict;

use constant TERMID => 14863;

my $term = MyLibrary::Term->new (id => TERMID);
my @resource_ids = $term->related_resources;
foreach (@resource_ids) {

	my $resource = MyLibrary::Resource->new(id => $_);
	if ($resource) {
	
		print $resource->name, "\n";
		$resource->delete;
		
	}
	
};
