#!/home/morgane/bin/perl

# list-stuff.pl - given a term id, list all the resources associated with it.

# Eric Lease Morgan <emorgan@nd.edu>

use MyLibrary;
use strict;

use constant TERMID => 90357;

my $term = MyLibrary::Term->new (id => TERMID);
my @resource_ids = $term->related_resources;
foreach (@resource_ids) {

	my $resource = MyLibrary::Resource->new(id => $_);
	print $resource->name, " - ";
	
	my $location = $resource->get_location(resource_location => 'URLs');
	print $location->location, "\n";
	
};
